module.exports = {
    devServer: {
        // 关闭esline
        overlay: {
            warnings: false,
            errors: false
        },
        proxy: {
            '/wdfn': {
                target: 'http://map.wanda.cn',
                changeOrigin: true,
                pathRewrite: {
                    '^/wdfn': '/editor/fmap',
                },
            },
            "/serve": {
                target: 'http://192.168.200.87:8088/',
                //  target: 'http://192.168.200.83:8085/',
                changeOrigin: true,
                secure: false,
                pathRewrite: {
                    "^/serve": "",
                },
            },
        }
    },
    chainWebpack: (config) => {
        const svgRule = config.module.rule('svg');
        svgRule.uses.clear();
        svgRule
            .use('babel-loader')
            .loader('babel-loader')
            .end()
            .use('vue-svg-loader')
            .loader('vue-svg-loader');
    },
    lintOnSave: false,
    // publicPath: '/dist',
}